# -*- coding: utf-8 -*-

from tuikit.widget import Widget


class Label(Widget):
    def __init__(self, label=''):
        Widget.__init__(self, len(label), 1)

        self.label = label

    def _handle_draw(self, ev):
        super()._handle_draw(ev)
        ev.driver.pushcolor('normal')
        ev.driver.puts(ev.x, ev.y, self.label)
        ev.driver.popcolor()

